## ia32-libs-scim 3

=== debian/changelog ===
ia32-libs-scim (3) edgy; urgency=low

  * Freshen packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  7 Sep 2006 17:21:01 +0000

ia32-libs-scim (2) edgy; urgency=low

  * Freshen packages to include updated libscim8c2a.
  * Update debian/copyright.

 -- Matthias Klose <doko@ubuntu.com>  Wed,  2 Aug 2006 23:22:26 +0200

ia32-libs-scim (1) edgy; urgency=low

  * New package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2006 14:48:41 +0000
