=== debian/control ===
Source: ia32-libs-scim
Section: libs
Priority: optional
Maintainer: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>> 4.0.0), dpkg-dev (>= 1.10.22ubuntu1)
Standards-Version: 3.7.2

Package: ia32-libs-scim
Architecture: amd64 ia64
Depends: ia32-libs (>= 1.5ubuntu4), ia32-libs-gtk (>= 21) | ia32-libs-kde (>= 9)
Description: scim ia32 shared libraries for use with OpenOffice.org
 This package delivers a set of pre-compiled ia32 (i386 family) shared
 libraries, so that OpenOffice.org can use the scim input methods on 64-bit
 systems that include appropriate emulation support.
