=== debian/rules ===
#!/usr/bin/make -f

build:
#	./fetch-and-build

copyright:
	cp debian/copyright-header debian/copyright
	find srcs -maxdepth 2 -type -d | xargs -r rm -rf
	cd srcs; \
	for i in *.dsc; do \
	  dpkg-source -q -x $$i; \
	  p=$$(echo $$i | sed 's/_.*$$//'); \
	  echo ==================== $$p ====================; \
	  cat $$p-[0-9]*/debian/copyright; \
	  echo ''; \
	  rm -rf $$p-[0-9]*; \
	done | grep -v '^dpkg-source:' >> ../debian/copyright

clean:
	dh_testdir
	dh_testroot
	rm -rf DEBIAN
	rm -f debian/create-diversions debian/remove-diversions
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Extract all debs
	for i in `cd pkgs ; /bin/ls *.deb` ; do \
		dpkg-deb -x pkgs/$$i debian/ia32-libs-scim/ ; done

# Fix up some things
	for d in lib usr/lib; do \
		[ -d debian/ia32-libs-scim/$$d ] && \
		mv debian/ia32-libs-scim/$$d debian/ia32-libs-scim/$${d}32 || true; \
	done

	rm -rf debian/ia32-libs-scim/usr/include \
		debian/ia32-libs-scim/usr/share \
		debian/ia32-libs-scim/usr/bin \
		debian/ia32-libs-scim/etc

	-find debian/ia32-libs-scim -name '*.la' | xargs rm -f

	dh_installdirs
	# Fix symlinks.
	for link in $$(find debian/ia32-libs-scim -type l); do\
	  dest=$$(readlink $$link);					\
	  rm -f $$link;							\
	  ln -s $$(echo $$dest | sed 's,/lib/,/lib32/,') $$link;	\
	done

	echo -e "# packages used in the creation of ia32-libs-scim\n" > \
	debian/ia32-libs-scim/usr/share/doc/ia32-libs-scim/Manifest
	(cd pkgs; /bin/ls *.deb) >> debian/ia32-libs-scim/usr/share/doc/ia32-libs-scim/Manifest

binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs 
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
